org.jgroups.logging

## Class LogFactory

- java.lang.Object
- - org.jgroups.logging.LogFactory

    public class LogFactory
    extends java.lang.Object

Factory that creates `Log` instances.

Since:
  4.0
Author:
  Manik Surtani, Bela Ban

### Field Summary

Fields
`static boolean` `IS_LOG4J_AVAILABLE`

### Constructor Summary

Constructors
Constructor and Description
`LogFactory()`

### Method Summary

Methods
`static Log` `getLog(java.lang.Class clazz)`
`static Log` `getLog(java.lang.String category)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IS_LOG4J_AVAILABLE

    public static final boolean IS_LOG4J_AVAILABLE

### Constructor Detail

#### LogFactory

    public LogFactory()

### Method Detail

#### getLog

    public static Log getLog(java.lang.Class clazz)

#### getLog

    public static Log getLog(java.lang.String category)